- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Edje Table Part
Edje Part

Functions that deal with parts of type table. More...

## Typedefs
typedef enum _Edje_Object_Table_Homogeneous_Mode | Edje_Object_Table_Homogeneous_Mode

## Enumerations
enum | _Edje_Object_Table_Homogeneous_Mode { EDJE_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EDJE_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EDJE_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2 }
#define | edje_obj_part_table_child_get(part, col, row, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_CHILD_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(unsigned int, col), EO_TYPECHECK(unsigned int, row), EO_TYPECHECK(Evas_Object **, ret)
| Retrieve a child from a table. More...
#define | edje_obj_part_table_pack(part, child_obj, col, row, colspan, rowspan, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_PACK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child_obj), EO_TYPECHECK(unsigned short, col), EO_TYPECHECK(unsigned short, row), EO_TYPECHECK(unsigned short, colspan), EO_TYPECHECK(unsigned short, rowspan), EO_TYPECHECK(Eina_Bool *, ret)
| Packs an object into the table. More...
#define | edje_obj_part_table_unpack(part, child_obj, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_UNPACK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child_obj), EO_TYPECHECK(Eina_Bool *, ret)
| Removes an object from the table. More...
#define | edje_obj_part_table_col_row_size_get(part, cols, rows, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_COL_ROW_SIZE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int *, cols), EO_TYPECHECK(int *, rows), EO_TYPECHECK(Eina_Bool *, ret)
| Gets the number of columns and rows the table has. More...
#define | edje_obj_part_table_clear(part, clear, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_CLEAR), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, clear), EO_TYPECHECK(Eina_Bool *, ret)
| Removes all object from the table. More...
Evas_Object * | edje_object_part_table_child_get (const Evas_Object *obj, const char *part, unsigned int col, unsigned int row)
| Retrieve a child from a table. More...
Eina_Bool | edje_object_part_table_pack (Evas_Object *obj, const char *part, Evas_Object *child_obj, unsigned short col, unsigned short row, unsigned short colspan, unsigned short rowspan)
| Packs an object into the table. More...
Eina_Bool | edje_object_part_table_unpack (Evas_Object *obj, const char *part, Evas_Object *child_obj)
| Removes an object from the table. More...
Eina_Bool | edje_object_part_table_col_row_size_get (const Evas_Object *obj, const char *part, int *cols, int *rows)
| Gets the number of columns and rows the table has. More...
Eina_Bool | edje_object_part_table_clear (Evas_Object *obj, const char *part, Eina_Bool clear)
| Removes all object from the table. More...

## Detailed Description

Functions that deal with parts of type table.

Table is a container type for parts, that means it can contain other parts.

## Macro Definition Documentation

#define edje_obj_part_table_child_get | ( |  | part,
|  |  | col,
|  |  | row,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_CHILD_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(unsigned int, col), EO_TYPECHECK(unsigned int, row), EO_TYPECHECK(Evas_Object **, ret)

Retrieve a child from a table.

Since
  1.8

Parameters

  [in] | part |
  [in] | col |
  [in] | row |
  [out] | ret |

See Also
  edje_object_part_table_child_get

Referenced by edje_object_part_table_child_get().

#define edje_obj_part_table_pack | ( |  | part,
|  |  | child_obj,
|  |  | col,
|  |  | row,
|  |  | colspan,
|  |  | rowspan,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_PACK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child_obj), EO_TYPECHECK(unsigned short, col), EO_TYPECHECK(unsigned short, row), EO_TYPECHECK(unsigned short, colspan), EO_TYPECHECK(unsigned short, rowspan), EO_TYPECHECK(Eina_Bool *, ret)

Packs an object into the table.

Since
  1.8

Parameters

  [in] | part |
  [in] | child_obj |
  [in] | col |
  [in] | row |
  [in] | colspan |
  [in] | rowspan |
  [out] | ret |

See Also
  edje_object_part_table_pack

Referenced by edje_object_part_table_pack().

#define edje_obj_part_table_unpack | ( |  | part,
|  |  | child_obj,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_UNPACK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Evas_Object *, child_obj), EO_TYPECHECK(Eina_Bool *, ret)

Removes an object from the table.

Since
  1.8

Parameters

  [in] | part |
  [in] | child_obj |
  [out] | ret |

See Also
  edje_object_part_table_unpack

Referenced by edje_object_part_table_unpack().

#define edje_obj_part_table_col_row_size_get | ( |  | part,
|  |  | cols,
|  |  | rows,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_COL_ROW_SIZE_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(int *, cols), EO_TYPECHECK(int *, rows), EO_TYPECHECK(Eina_Bool *, ret)

Gets the number of columns and rows the table has.

Since
  1.8

Parameters

  [in] | part |
  [out] | cols |
  [out] | rows |
  [out] | ret |

See Also
  edje_object_part_table_col_row_size_get

Referenced by edje_object_part_table_col_row_size_get().

#define edje_obj_part_table_clear | ( |  | part,
|  |  | clear,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TABLE_CLEAR), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, clear), EO_TYPECHECK(Eina_Bool *, ret)

Removes all object from the table.

Since
  1.8

Parameters

  [in] | part |
  [in] | clear |
  [out] | ret |

See Also
  edje_object_part_table_clear

Referenced by edje_object_part_table_clear().

## Function Documentation

Evas_Object* edje_object_part_table_child_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | unsigned int | col,
|  | unsigned int | row
| ) |  |

Retrieve a child from a table.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  col | The column of the child to get
  row | The row of the child to get

Returns
  The child Evas_Object

References edje_obj_part_table_child_get.

Eina_Bool edje_object_part_table_pack | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child_obj,
|  | unsigned short | col,
|  | unsigned short | row,
|  | unsigned short | colspan,
|  | unsigned short | rowspan
| ) |  |

Packs an object into the table.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child_obj | The object to pack in
  col | The column to place it in
  row | The row to place it in
  colspan | Columns the child will take
  rowspan | Rows the child will take

Returns
  `EINA_TRUE` object was added, `EINA_FALSE` on failure

Packs an object into the table indicated by part.

Examples:
  edje-table.c.

References edje_obj_part_table_pack, and EINA_FALSE.

Eina_Bool edje_object_part_table_unpack | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Evas_Object * | child_obj
| ) |  |

Removes an object from the table.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  child_obj | The object to pack in

Returns
  `EINA_TRUE` object removed, `EINA_FALSE` on failure

Removes an object from the table indicated by part.

Examples:
  edje-table.c.

References edje_obj_part_table_unpack, and EINA_FALSE.

Eina_Bool edje_object_part_table_col_row_size_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | int * | cols,
|  | int * | rows
| ) |  |

Gets the number of columns and rows the table has.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  cols | Pointer where to store number of columns (can be NULL)
  rows | Pointer where to store number of rows (can be NULL)

Returns
  `EINA_TRUE` get some data, `EINA_FALSE` on failure

Retrieves the size of the table in number of columns and rows.

Examples:
  edje-table.c.

References edje_obj_part_table_col_row_size_get, and EINA_FALSE.

Eina_Bool edje_object_part_table_clear | ( | Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | clear
| ) |  |

Removes all object from the table.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  clear | If set, will delete subobjs on remove

Returns
  `EINA_TRUE` clear the table, `EINA_FALSE` on failure

Removes all object from the table indicated by part, except the internal ones set from the theme.

Examples:
  edje-table.c.

References edje_obj_part_table_clear, and EINA_FALSE.